"Fossies" - the Fresh Open Source Software Archive

Member "cook-2.34/test/00/t0024a.sh" (25 Sep 2010, 2239 Bytes) of package /linux/misc/old/cook-2.34.tar.gz:


As a special service "Fossies" has tried to format the requested source page into HTML format using (guessed) Bash source code syntax highlighting (style: standard) with prefixed line numbers. Alternatively you can here view or download the uninterpreted source code file.

    1 #!/bin/sh
    2 #
    3 #       cook - file construction tool
    4 #       Copyright (C) 1991-1994, 1997, 1998, 2001, 2007, 2008 Peter Miller
    5 #
    6 #       This program is free software; you can redistribute it and/or modify
    7 #       it under the terms of the GNU General Public License as published by
    8 #       the Free Software Foundation; either version 3 of the License, or
    9 #       (at your option) any later version.
   10 #
   11 #       This program is distributed in the hope that it will be useful,
   12 #       but WITHOUT ANY WARRANTY; without even the implied warranty of
   13 #       MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
   14 #       GNU General Public License for more details.
   15 #
   16 #       You should have received a copy of the GNU General Public License
   17 #       along with this program. If not, see
   18 #       <http://www.gnu.org/licenses/>.
   19 #
   20 tmp=${COOK_TMP:-/tmp}/$$
   21 PAGER=cat
   22 export PAGER
   23 umask 022
   24 unset COOK
   25 here=`pwd`
   26 if test $? -ne 0 ; then exit 1; fi
   27 
   28 bin="$here/${1-.}/bin"
   29 
   30 fail()
   31 {
   32         echo 'FAILED test of builtin function "pathname"' 1>&2
   33         cd $here
   34         rm -rf $tmp
   35         exit 1
   36 }
   37 pass()
   38 {
   39         cd $here
   40         rm -rf $tmp
   41         exit 0
   42 }
   43 trap "fail" 1 2 3 15
   44 
   45 mkdir $tmp $tmp/lib
   46 cd $tmp
   47 
   48 #
   49 # Use the default error messages.  There is no other way to get
   50 # predictable test behaviour on the unknown systems we will be tested on.
   51 #
   52 COOK_MESSAGE_LIBRARY=$work/no-such-dir
   53 export COOK_MESSAGE_LIBRARY
   54 unset LANG
   55 
   56 cat > Howto.cook <<foobar
   57 test:
   58 {
   59         if [not [in [substr 1 6 [os]] CYGWIN NUTCRA]] then
   60         {
   61                 /*
   62                  * On CygWin32, if you have
   63                  *      mount C:/temp /tmp
   64                  * then the relative name will give /temp/...,
   65                  * and the absolute name will give /tmp/...
   66                  * Just skip this for Cygwin32.
   67                  */
   68                 if [not [in [pathname .] [pathname $tmp]]] then fail;
   69                 if [not [in [pathname x] [pathname $tmp/x]]] then fail;
   70         }
   71         if [not [in [pathname /] /]] then fail;
   72         if [not [in [pathname /////usr/bin//////././//.///] /usr/bin]]
   73                 then fail;
   74 }
   75 foobar
   76 if test $? -ne 0 ; then fail; fi
   77 
   78 $bin/cook -nl
   79 if test $? -ne 0 ; then fail; fi
   80 
   81 # probably OK
   82 pass